ClusterManagementServiceBuilder (Apache Geode 1.12.8)
Date: 2022-01-10

org.apache.geode.management.client

## Class ClusterManagementServiceBuilder

- java.lang.Object
- - org.apache.geode.management.internal.api.BaseManagementServiceBuilder<ClusterManagementServiceBuilder>
  - - org.apache.geode.management.client.ClusterManagementServiceBuilder

-     @Experimental
      public class ClusterManagementServiceBuilder
      extends org.apache.geode.management.internal.api.BaseManagementServiceBuilder<ClusterManagementServiceBuilder>

  This builder facilitates creating a ClusterManagementService using either (or both) a `ConnectionConfig` or a `ClusterManagementServiceTransport`. For typical usage it should be sufficient to only use a `ClusterManagementServiceConnectionConfig`. For example:

       ClusterManagementService service = new ClusterManagementServiceBuilder()
           .setPort(7070)
           .setHost("localhost")
           .build();

  If no transport is set a public transport of `RestTemplateClusterManagementServiceTransport` will be used and configured with the provided config.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClusterManagementServiceBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ConnectionConfig` | `createConnectionConfig()`
    `ClusterManagementServiceBuilder` | `setHost(String hostname)`
    `ClusterManagementServiceBuilder` | `setPort(int port)`

    - ### Methods inherited from class org.apache.geode.management.internal.api.BaseManagementServiceBuilder

      `build, configureConnectionConfig, setAuthToken, setFollowRedirects, setHostnameVerifier, setPassword, setSslContext, setTransport, setUsername`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClusterManagementServiceBuilder

          public ClusterManagementServiceBuilder()

  - ### Method Detail

    - #### setHost

          public ClusterManagementServiceBuilder setHost(String hostname)

    - #### setPort

          public ClusterManagementServiceBuilder setPort(int port)

    - #### createConnectionConfig

          protected ConnectionConfig createConnectionConfig()

      Specified by:
        `createConnectionConfig` in class `org.apache.geode.management.internal.api.BaseManagementServiceBuilder<ClusterManagementServiceBuilder>`